Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.io.filefilter
Class DelegateFileFilter

    java.lang.Object
      org.apache.commons.io.filefilter.AbstractFileFilter
          org.apache.commons.io.filefilter.DelegateFileFilter

All Implemented Interfaces:
  FileFilter, FilenameFilter, Serializable, IOFileFilter

    public class DelegateFileFilter

extends AbstractFileFilter
implements Serializable

This class turns a Java FileFilter or FilenameFilter into an IO FileFilter.

Since:
  Commons IO 1.0
Version:
  $Revision: 1005099 $ $Date: 2010-10-06 17:13:01 +0100 (Wed, 06 Oct 2010) $
Author:
  Stephen Colebourne
See Also:
  `FileFilterUtils.asFileFilter(FileFilter)`, `FileFilterUtils.asFileFilter(FilenameFilter)`, Serialized Form

Constructor Summary
`DelegateFileFilter(FileFilter filter)` Constructs a delegate file filter around an existing FileFilter.
`DelegateFileFilter(FilenameFilter filter)` Constructs a delegate file filter around an existing FilenameFilter.

Method Summary
`boolean` | `accept(File file)` Checks the filter.
`boolean` | `accept(File dir, String name)` Checks the filter.
`String` | `toString()` Provide a String representaion of this file filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelegateFileFilter

    public DelegateFileFilter(FilenameFilter filter)

  Constructs a delegate file filter around an existing FilenameFilter.

  Parameters:
    `filter` - the filter to decorate

### DelegateFileFilter

    public DelegateFileFilter(FileFilter filter)

  Constructs a delegate file filter around an existing FileFilter.

  Parameters:
    `filter` - the filter to decorate

Method Detail

### accept

    public boolean accept(File file)

  Checks the filter.

  Specified by:
    `accept` in interface `FileFilter`
  Specified by:
    `accept` in interface `IOFileFilter`
  Overrides:
    `accept` in class `AbstractFileFilter`
  Parameters:
    `file` - the file to check
  Returns:
    true if the filter matches

### accept

    public boolean accept(File dir,
                          String name)

  Checks the filter.

  Specified by:
    `accept` in interface `FilenameFilter`
  Specified by:
    `accept` in interface `IOFileFilter`
  Overrides:
    `accept` in class `AbstractFileFilter`
  Parameters:
    `dir` - the directory
    `name` - the filename in the directory
  Returns:
    true if the filter matches

### toString

    public String toString()

  Provide a String representaion of this file filter.

  Overrides:
    `toString` in class `AbstractFileFilter`
  Returns:
    a String representaion

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2010 The Apache Software Foundation. All Rights Reserved.